Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SGESC2

    java.lang.Object
      org.netlib.lapack.SGESC2

    public class SGESC2

extends java.lang.Object

    SGESC2 is a simplified interface to the JLAPACK routine sgesc2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGESC2 solves a system of linear equations
     *
     *            A * X = scale* RHS
     *
     *  with a general N-by-N matrix A using the LU factorization with
     *  complete pivoting computed by SGETC2.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          On entry, the  LU part of the factorization of the n-by-n
     *          matrix A computed by SGETC2:  A = P * L * U * Q
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1, N).
     *
     *  RHS     (input/output) REAL array, dimension (N).
     *          On entry, the right hand side vector b.
     *          On exit, the solution vector X.
     *
     *  IPIV    (input) INTEGER array, dimension (N).
     *          The pivot indices; for 1 <= i <= N, row i of the
     *          matrix has been interchanged with row IPIV(i).
     *
     *  JPIV    (input) INTEGER array, dimension (N).
     *          The pivot indices; for 1 <= j <= N, column j of the
     *          matrix has been interchanged with column JPIV(j).
     *
     *  SCALE    (output) REAL
     *           On exit, SCALE contains the scale factor. SCALE is chosen
     *           0 <= SCALE <= 1 to prevent owerflow in the solution.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Bo Kagstrom and Peter Poromaa, Department of Computing Science,
     *     Umea University, S-901 87 Umea, Sweden.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SGESC2()`

Method Summary
`static void` | `SGESC2(int n, float[][] a, float[] rhs, int[] ipiv, int[] jpiv, floatW scale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SGESC2

    public SGESC2()

Method Detail

### SGESC2

    public static void SGESC2(int n,
                              float[][] a,
                              float[] rhs,
                              int[] ipiv,
                              int[] jpiv,
                              floatW scale)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD